<div class="login-box" style="margin: 0 auto;">
    <div class="login-logo">
        <div><img src="assets/img/logo.png" alt="Logo"/></div>
    </div>
    <div class="card">
        <div class="card-body login-card-body">
            <p class="login-box-msg">{{ 'Sign in to start your session' | translate }}</p>
            <div class="alert alert-danger" *ngIf="loginError">
                <strong>{{ loginError }}</strong>
            </div>
            <form [formGroup]="form" (ngSubmit)="login()">
                <div role="group" class="form-group">
                    <div>
                        <input type="email" [placeholder]="'E-mail' | translate" formControlName="email" class="form-control"
                            [class.is-invalid]="submitted && ((errors.email && errors.email.length) || email.invalid)">
                        <span class="invalid-feedback" role="alert" *ngIf="errors.email || email.invalid">
                            <strong
                                *ngIf="email.errors && email.errors.required">{{ 'Fill this field' | translate }}</strong>
                            <strong *ngIf="email.errors && email.errors.pattern">Ingresa un email válido</strong>
                            <strong *ngFor="let msg of errors.email">{{ msg }}</strong>
                        </span>
                    </div>
                </div>
                <div role="group" class="form-group">
                    <input matInput type="password" [placeholder]="'Password' | translate" formControlName="password"
                        class="form-control"
                        [class.is-invalid]="submitted && ((errors.password && errors.password.length) || password.invalid)">
                    <span class="invalid-feedback" role="alert" *ngIf="errors.password || password.invalid">
                        <strong
                            *ngIf="password.errors && password.errors.required">{{ 'Fill this field' | translate }}</strong>
                        <strong *ngFor="let msg of errors.password">{{ msg }}</strong>
                    </span>
                </div>
                <!--<div class="custom-control custom-checkbox">
                    <input id="exampleCheck" type="checkbox"
                        name="check" autocomplete="off" class="custom-control-input" value="true">
                    <label for="exampleCheck" class="custom-control-label">
                        Keep me logged in
                    </label>
                </div>
                <div class="divider"></div>
                <h6 class="mb-0">
                    No account?
                    <a [routerLink]="" class="text-primary">Sign up now</a>
                </h6>-->
                <div class="row">
                    <div class="col-8"></div>
                    <!-- /.col -->
                    <div class="col-4">
                        <button type="submit" class="btn btn-primary btn-block">{{ 'Login' | translate }}</button>
                    </div>
                    <!-- /.col -->
                </div>
                <p class="mb-1">
                    <a routerLink="/auth/password/reset">{{ 'Forgot my password' | translate }}</a>
                </p>
            </form>
            <div class="text-center mt-3">
                Copyright © Naba software 2021
            </div>
        </div>
    </div>
</div>